Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing
Class JToolBar

Method Summary
`Component` | `getAt(int index)` Support the subscript operator for JToolBar.
`JToolBar` | `leftShift(Action action)` Overloads the left shift operator to provide an easy way to add components to a toolBar.

Method Detail

### getAt

    public Component getAt(int index)

  Support the subscript operator for JToolBar.

Parameters:
  `index` - the index of the tab component to get.

Returns:
  the tab component at the given index

Since:
  1.6.4

### leftShift

    public JToolBar leftShift(Action action)

  Overloads the left shift operator to provide an easy way to add components to a toolBar.

Parameters:
  `action` - an Action to be added to the toolBar..

Returns:
  same toolBar, after the value was added to it.

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK